# @HEADER
# ************************************************************************
#
#            TriBITS: Tribal Build, Integrate, and Test System
#                    Copyright 2013 Sandia Corporation
#
#
# Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
# the U.S. Government retains certain rights in this software.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# 3. Neither the name of the Corporation nor the names of the
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY SANDIA CORPORATION "AS IS" AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SANDIA CORPORATION OR THE
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# ************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/TrilinosCouplings clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################


# Include guard
if (TrilinosCouplings_CONFIG_INCLUDED)
  return()
endif()
set(TrilinosCouplings_CONFIG_INCLUDED TRUE)

# Make sure CMAKE_CURRENT_LIST_DIR is usable
if (NOT DEFINED CMAKE_CURRENT_LIST_DIR)
  get_filename_component(_THIS_SCRIPT_PATH ${CMAKE_CURRENT_LIST_FILE} PATH)
  set(CMAKE_CURRENT_LIST_DIR ${_THIS_SCRIPT_PATH})
endif()


## ---------------------------------------------------------------------------
## Compilers used by Trilinos/TrilinosCouplings build
## ---------------------------------------------------------------------------

set(TrilinosCouplings_CXX_COMPILER "/usr/bin/mpicxx")

set(TrilinosCouplings_C_COMPILER "/usr/bin/mpicc")

set(TrilinosCouplings_Fortran_COMPILER "/usr/bin/mpif90")
# Deprecated!
set(TrilinosCouplings_FORTRAN_COMPILER "/usr/bin/mpif90") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/TrilinosCouplings build
## ---------------------------------------------------------------------------

## Give the build type
set(TrilinosCouplings_CMAKE_BUILD_TYPE "None")

## Set compiler flags, including those determined by build type
set(TrilinosCouplings_CXX_FLAGS [[-g -O2 -ffile-prefix-map=/build/reproducible-path/trilinos-13.2.0=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -mbranch-protection=standard -Wdate-time -D_FORTIFY_SOURCE=2   ]])

set(TrilinosCouplings_C_FLAGS [[  -g -O2 -ffile-prefix-map=/build/reproducible-path/trilinos-13.2.0=. -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -mbranch-protection=standard -Wdate-time -D_FORTIFY_SOURCE=2 ]])

set(TrilinosCouplings_Fortran_FLAGS [[ ]])
# Deprecated
set(TrilinosCouplings_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(TrilinosCouplings_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(TrilinosCouplings_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/usr/lib/aarch64-linux-gnu")
set(TrilinosCouplings_BUILD_SHARED_LIBS "ON")

set(TrilinosCouplings_LINKER /usr/bin/ld)
set(TrilinosCouplings_AR /usr/bin/ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(TrilinosCouplings_INSTALL_DIR "/usr")

## List of package include dirs
set(TrilinosCouplings_INCLUDE_DIRS "${CMAKE_CURRENT_LIST_DIR}/../../../../include/trilinos")

## List of package library paths
set(TrilinosCouplings_LIBRARY_DIRS "${CMAKE_CURRENT_LIST_DIR}/../../../../lib/aarch64-linux-gnu")

## List of package libraries
set(TrilinosCouplings_LIBRARIES "trilinos_trilinoscouplings;trilinos_stokhos_muelu;trilinos_stokhos_muelu_pce_serial;trilinos_stokhos_muelu_mp_16_serial;trilinos_stokhos_ifpack2;trilinos_stokhos_ifpack2_pce_serial;trilinos_stokhos_ifpack2_mp_16_serial;trilinos_stokhos_amesos2;trilinos_stokhos_xpetra;trilinos_stokhos_xpetra_pce_serial;trilinos_stokhos_xpetra_mp_16_serial;trilinos_stokhos_tpetra;trilinos_stokhos_tpetraext_pce_serial;trilinos_stokhos_tpetra_pce_serial;trilinos_stokhos_tpetra_sd_pce_serial;trilinos_stokhos_tpetraext_mp_16_serial;trilinos_stokhos_tpetra_mp_16_serial;trilinos_stokhos_tpetra_sd_mp_16_serial;trilinos_stokhos_sacado;trilinos_stokhos;trilinos_muelu-adapters;trilinos_muelu-interface;trilinos_muelu;trilinos_locatpetra;trilinos_locathyra;trilinos_locaepetra;trilinos_localapack;trilinos_loca;trilinos_noxepetra;trilinos_noxlapack;trilinos_nox;trilinos_intrepid2;trilinos_teko;trilinos_stratimikos;trilinos_stratimikosbelos;trilinos_stratimikosamesos2;trilinos_stratimikosaztecoo;trilinos_stratimikosamesos;trilinos_stratimikosml;trilinos_stratimikosifpack;trilinos_ifpack2-adapters;trilinos_ifpack2;trilinos_anasazitpetra;trilinos_ModeLaplace;trilinos_anasaziepetra;trilinos_anasazi;trilinos_amesos2;trilinos_tacho;trilinos_shylu_nodehts;trilinos_belosxpetra;trilinos_belostpetra;trilinos_belosepetra;trilinos_belos;trilinos_ml;trilinos_ifpack;trilinos_zoltan2;trilinos_amesos;trilinos_galeri-xpetra;trilinos_galeri-epetra;trilinos_aztecoo;trilinos_isorropia;trilinos_xpetra-sup;trilinos_xpetra;trilinos_thyratpetra;trilinos_thyraepetraext;trilinos_thyraepetra;trilinos_thyracore;trilinos_trilinosss;trilinos_tpetraext;trilinos_tpetrainout;trilinos_tpetra;trilinos_kokkostsqr;trilinos_tpetraclassiclinalg;trilinos_tpetraclassicnodeapi;trilinos_tpetraclassic;trilinos_epetraext;trilinos_triutils;trilinos_shards;trilinos_zoltan;trilinos_epetra;trilinos_sacado;trilinos_rtop;trilinos_kokkoskernels;trilinos_teuchoskokkoscomm;trilinos_teuchoskokkoscompat;trilinos_teuchosremainder;trilinos_teuchosnumerics;trilinos_teuchoscomm;trilinos_teuchosparameterlist;trilinos_teuchosparser;trilinos_teuchoscore;trilinos_kokkosalgorithms;trilinos_kokkoscontainers;trilinos_kokkoscore")

## Specification of directories for TPL headers
set(TrilinosCouplings_TPL_INCLUDE_DIRS "/usr/include;/usr/include/hdf5/openmpi;/usr/include;/usr/include/scotch;/usr/include")

## Specification of directories for TPL libraries
set(TrilinosCouplings_TPL_LIBRARY_DIRS "")

## List of required TPLs
set(TrilinosCouplings_TPL_LIBRARIES "/usr/lib/aarch64-linux-gnu/libdl.a;/usr/lib/aarch64-linux-gnu/libsmumps.so;/usr/lib/aarch64-linux-gnu/libdmumps.so;/usr/lib/aarch64-linux-gnu/libcmumps.so;/usr/lib/aarch64-linux-gnu/libzmumps.so;/usr/lib/aarch64-linux-gnu/libmumps_common.so;/usr/lib/aarch64-linux-gnu/libpord.so;/usr/lib/aarch64-linux-gnu/libpord.so;/usr/lib/aarch64-linux-gnu/libmumps_common.so;/usr/lib/aarch64-linux-gnu/hdf5/openmpi/libhdf5.so;/usr/lib/aarch64-linux-gnu/libz.so;/usr/lib/aarch64-linux-gnu/libz.so;/usr/lib/aarch64-linux-gnu/libptscotch.so;/usr/lib/aarch64-linux-gnu/libptscotcherr.so;/usr/lib/aarch64-linux-gnu/libscotch.so;/usr/lib/aarch64-linux-gnu/libscotcherr.so;/usr/lib/aarch64-linux-gnu/liblapack.so;/usr/lib/aarch64-linux-gnu/libblas.so")

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(TrilinosCouplings_MPI_LIBRARIES "")
set(TrilinosCouplings_MPI_LIBRARY_DIRS "")
set(TrilinosCouplings_MPI_INCLUDE_DIRS "")
set(TrilinosCouplings_MPI_EXEC "/usr/bin/mpiexec")
set(TrilinosCouplings_MPI_EXEC_MAX_NUMPROCS "4")
set(TrilinosCouplings_MPI_EXEC_NUMPROCS_FLAG "-np")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

## The packages enabled for this project
set(TrilinosCouplings_PACKAGE_LIST "TrilinosCouplings;Stokhos;MueLu;NOX;Intrepid2;Teko;Stratimikos;Ifpack2;Anasazi;Amesos2;ShyLU_NodeTacho;ShyLU_NodeHTS;Belos;ML;Ifpack;Zoltan2Core;Amesos;Galeri;AztecOO;Isorropia;Xpetra;Thyra;ThyraTpetraAdapters;ThyraEpetraExtAdapters;ThyraEpetraAdapters;ThyraCore;TrilinosSS;Tpetra;TpetraCore;TpetraTSQR;TpetraClassic;EpetraExt;Triutils;Shards;Zoltan;Epetra;Sacado;RTOp;KokkosKernels;Teuchos;TeuchosKokkosComm;TeuchosKokkosCompat;TeuchosRemainder;TeuchosNumerics;TeuchosComm;TeuchosParameterList;TeuchosParser;TeuchosCore;Kokkos;KokkosAlgorithms;KokkosContainers;KokkosCore")

## The TPLs enabled for this project
set(TrilinosCouplings_TPL_LIST "DLlib;MUMPS;HDF5;Zlib;Scotch;Boost;LAPACK;BLAS;MPI")


# Include configuration of dependent packages
include("${CMAKE_CURRENT_LIST_DIR}/../Stokhos/StokhosConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../MueLu/MueLuConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../NOX/NOXConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../Intrepid2/Intrepid2Config.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../Teko/TekoConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../Stratimikos/StratimikosConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../Ifpack2/Ifpack2Config.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../Anasazi/AnasaziConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../Amesos2/Amesos2Config.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../ShyLU_NodeTacho/ShyLU_NodeTachoConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../ShyLU_NodeHTS/ShyLU_NodeHTSConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../Belos/BelosConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../ML/MLConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../Ifpack/IfpackConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../Zoltan2Core/Zoltan2CoreConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../Amesos/AmesosConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../Galeri/GaleriConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../AztecOO/AztecOOConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../Isorropia/IsorropiaConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../Xpetra/XpetraConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../Thyra/ThyraConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../ThyraTpetraAdapters/ThyraTpetraAdaptersConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../ThyraEpetraExtAdapters/ThyraEpetraExtAdaptersConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../ThyraEpetraAdapters/ThyraEpetraAdaptersConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../ThyraCore/ThyraCoreConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../TrilinosSS/TrilinosSSConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../Tpetra/TpetraConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../TpetraCore/TpetraCoreConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../TpetraTSQR/TpetraTSQRConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../TpetraClassic/TpetraClassicConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../EpetraExt/EpetraExtConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../Triutils/TriutilsConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../Shards/ShardsConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../Zoltan/ZoltanConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../Epetra/EpetraConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../Sacado/SacadoConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../RTOp/RTOpConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../KokkosKernels/KokkosKernelsConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../Teuchos/TeuchosConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../TeuchosKokkosComm/TeuchosKokkosCommConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../TeuchosKokkosCompat/TeuchosKokkosCompatConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../TeuchosRemainder/TeuchosRemainderConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../TeuchosNumerics/TeuchosNumericsConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../TeuchosComm/TeuchosCommConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../TeuchosParameterList/TeuchosParameterListConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../TeuchosParser/TeuchosParserConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../TeuchosCore/TeuchosCoreConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../Kokkos/KokkosConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../KokkosAlgorithms/KokkosAlgorithmsConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../KokkosContainers/KokkosContainersConfig.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/../KokkosCore/KokkosCoreConfig.cmake")

# Import TrilinosCouplings targets
include("${CMAKE_CURRENT_LIST_DIR}/TrilinosCouplingsTargets.cmake")
